package com.ruoyi.ems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ems.mapper.AdmEmsPgSupplyHMapper;
import com.ruoyi.ems.domain.AdmEmsPgSupplyH;
import com.ruoyi.ems.service.IAdmEmsPgSupplyHService;

/**
 * 电网供应计量-小时Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-09
 */
@Service
public class AdmEmsPgSupplyHServiceImpl implements IAdmEmsPgSupplyHService 
{
    @Autowired
    private AdmEmsPgSupplyHMapper admEmsPgSupplyHMapper;

    /**
     * 查询电网供应计量-小时
     * 
     * @param id 电网供应计量-小时主键
     * @return 电网供应计量-小时
     */
    @Override
    public AdmEmsPgSupplyH selectAdmEmsPgSupplyHById(Long id)
    {
        return admEmsPgSupplyHMapper.selectAdmEmsPgSupplyHById(id);
    }

    /**
     * 查询电网供应计量-小时列表
     * 
     * @param admEmsPgSupplyH 电网供应计量-小时
     * @return 电网供应计量-小时
     */
    @Override
    public List<AdmEmsPgSupplyH> selectAdmEmsPgSupplyHList(AdmEmsPgSupplyH admEmsPgSupplyH)
    {
        return admEmsPgSupplyHMapper.selectAdmEmsPgSupplyHList(admEmsPgSupplyH);
    }

    /**
     * 新增电网供应计量-小时
     * 
     * @param admEmsPgSupplyH 电网供应计量-小时
     * @return 结果
     */
    @Override
    public int insertAdmEmsPgSupplyH(AdmEmsPgSupplyH admEmsPgSupplyH)
    {
        return admEmsPgSupplyHMapper.insertAdmEmsPgSupplyH(admEmsPgSupplyH);
    }

    /**
     * 修改电网供应计量-小时
     * 
     * @param admEmsPgSupplyH 电网供应计量-小时
     * @return 结果
     */
    @Override
    public int updateAdmEmsPgSupplyH(AdmEmsPgSupplyH admEmsPgSupplyH)
    {
        return admEmsPgSupplyHMapper.updateAdmEmsPgSupplyH(admEmsPgSupplyH);
    }

    /**
     * 批量删除电网供应计量-小时
     * 
     * @param ids 需要删除的电网供应计量-小时主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsPgSupplyHByIds(Long[] ids)
    {
        return admEmsPgSupplyHMapper.deleteAdmEmsPgSupplyHByIds(ids);
    }

    /**
     * 删除电网供应计量-小时信息
     * 
     * @param id 电网供应计量-小时主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsPgSupplyHById(Long id)
    {
        return admEmsPgSupplyHMapper.deleteAdmEmsPgSupplyHById(id);
    }
}
